namespace Wizard;

public class CompetitionEntryTask : BaseTask
{
	public class CompetitionEntryTaskParam : BaseParam
	{
		public int consume_item_type;
	}

	public CompetitionEntryTask()
	{
		base.type = ApiType.Type.CompetitionEntry;
	}

	public void SetParameter(ArenaData.eARENA_PAY inPayType)
	{
		CompetitionEntryTaskParam competitionEntryTaskParam = new CompetitionEntryTaskParam();
		competitionEntryTaskParam.consume_item_type = (int)inPayType;
		base.Params = competitionEntryTaskParam;
	}

	protected override int Parse()
	{
		int num = base.Parse();
		if (num != 1)
		{
			return num;
		}
		PlayerStaticData.UpdateHaveUserGoodsNumByJsonData(base.ResponseData["data"]["reward_list"]);
		Data.ArenaData.CompetitionData.SetRestChallangeCountByEntry(base.ResponseData["data"]);
		return num;
	}
}
